[arch-commits] Commit in wlan-ng26-utils/trunk (3 files)

Tobias Powalowski tpowa at archlinux.org
Tue Aug 5 07:03:20 EDT 2008


    Date: Tuesday, August 5, 2008 @ 07:03:19
  Author: tpowa
Revision: 7972

upgpkg: wlan-ng26-utils 0.2.9-1

Added:
  wlan-ng26-utils/trunk/kernel-2.6.26.patch
Modified:
  wlan-ng26-utils/trunk/PKGBUILD
  wlan-ng26-utils/trunk/wlan-ng.patch

---------------------+
 PKGBUILD            |   14 +++++++-------
 kernel-2.6.26.patch |   14 ++++++++++++++
 wlan-ng.patch       |    4 ++--
 3 files changed, 23 insertions(+), 9 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-05 10:53:23 UTC (rev 7971)
+++ PKGBUILD	2008-08-05 11:03:19 UTC (rev 7972)
@@ -2,13 +2,13 @@
 # Maintainer: Tom Killian <tom at archlinux.org>
 
 pkgname=wlan-ng26-utils
-pkgver=0.2.8
-pkgrel=2
+pkgver=0.2.9
+pkgrel=1
 pkgdesc="Wireless Lan userspace tools."
 depends=('glibc' 'bash')
 makedepends=('kernel26')
 source=(ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/linux-wlan-ng-$pkgver.tar.bz2 \
-	wlan-ng.patch wlan kernel-2.6.22-r1832.patch)
+	wlan-ng.patch wlan kernel-2.6.26.patch)
 url="ftp://ftp.linux-wlan.org/pub/linux-wlan-ng/"
 backup=(etc/wlan/wlan.conf)
 arch=('i686' 'x86_64')
@@ -16,7 +16,7 @@
 
 build() {
    cd $startdir/src/linux-wlan-ng-$pkgver
-   patch -Np1 -i ../kernel-2.6.22-r1832.patch || return 1
+   patch -Np0 -i ../kernel-2.6.26.patch || return 1
    sed -i "s#TARGET_ROOT_ON_HOST=#TARGET_ROOT_ON_HOST=$startdir/pkg#;s#PRISM2_PLX=y#PRISM2_PLX=n#;s#PRISM2_PCI=y#PRISM2_PCI=n#" config.in
    patch -p1 < ../wlan-ng.patch
    make auto_config
@@ -26,7 +26,7 @@
    rm -r $startdir/pkg/{init.d,lib,etc/pcmcia}
    install -m 755 $startdir/src/wlan $startdir/pkg/etc/rc.d/wlan
 }
-md5sums=('5d86ca7bb4ed458743acd922ff09dae6'
-         'bb9fa3ff6ad5b2dfc67e8a6ac176446b'
+md5sums=('96130b36f9674521b08fb3e2a6ac0382'
+         '706464f9e6e127558aed25b9f454f905'
          '1056365bdbe7102b1a668c84926ecb17'
-         '1696441de62db35d9385f15ee2dfb5a7')
+         '6ed5a5fefc2c149e0e0a98de211ba147')

Added: kernel-2.6.26.patch
===================================================================
--- kernel-2.6.26.patch	                        (rev 0)
+++ kernel-2.6.26.patch	2008-08-05 11:03:19 UTC (rev 7972)
@@ -0,0 +1,14 @@
+Index: src/p80211/p80211netdev.c
+===================================================================
+--- src/p80211/p80211netdev.c	(revision 1865)
++++ src/p80211/p80211netdev.c	(working copy)
+@@ -947,7 +947,9 @@
+ #endif
+ #endif
+ 	
+-#if (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,24) )
++#if (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,26) )
++		dev_net_set(dev, &init_net);
++#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(2,6,24) )
+ 		dev->nd_net = &init_net;
+ #endif
\ No newline at end of file

Modified: wlan-ng.patch
===================================================================
--- wlan-ng.patch	2008-08-05 10:53:23 UTC (rev 7971)
+++ wlan-ng.patch	2008-08-05 11:03:19 UTC (rev 7972)
@@ -7,8 +7,8 @@
  install:
 -	mkdir -p $(TARGET_ROOT_ON_HOST)/usr/local/man/man1
 -	cp *.1 	$(TARGET_ROOT_ON_HOST)/usr/local/man/man1
-+	mkdir -p $(TARGET_ROOT_ON_HOST)/usr/man/man1
-+	cp *.1 	$(TARGET_ROOT_ON_HOST)/usr/man/man1
++	mkdir -p $(TARGET_ROOT_ON_HOST)/usr/share/man/man1
++	cp *.1 	$(TARGET_ROOT_ON_HOST)/usr/share/man/man1
  
  clean:
  	rm -f core core.* *.o .*.o *.s *.a .depend tmp_make *~ tags




More information about the arch-commits mailing list